Servlet 3.0 - Apache Tomcat 7.0.42

## javax.servlet.annotation
Annotation Type WebListener

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Documented
    public @interface WebListener

The annotation used to declare a listener for various types of event, in a given web application context.
The class annotated MUST implement one, (or more), of the following interfaces: `HttpSessionAttributeListener`, `HttpSessionListener`, `ServletContextAttributeListener`, `ServletContextListener`, `ServletRequestAttributeListener`, `ServletRequestListener`
E.g. `@WebListener`
`public TestListener implements ServletContextListener {`

Since:
  Servlet 3.0

Optional Element Summary
`java.lang.String` `value`

### value

    public abstract java.lang.String value

  Returns:
    description of the listener, if present
  Default:
    ""

Servlet 3.0 - Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.